unit USample;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics, FMX.TMSFNCGraphicsTypes,
  System.Rtti, FMX.TMSFNCDataGridCell, FMX.TMSFNCDataGridData,
  FMX.TMSFNCDataGridBase, FMX.TMSFNCDataGridCore, FMX.TMSFNCDataGridRenderer,
  Data.DB, FMX.TMSFNCCustomComponent, FMX.TMSFNCDataGridDatabaseAdapter,
  Datasnap.DBClient, FMX.TMSFNCCustomControl, FMX.TMSFNCDataGrid,
  FMX.TMSFNCBitmapContainer;

type
  TForm3 = class(TForm)
    TMSFNCDataGrid1: TTMSFNCDataGrid;
    ClientDataSet1: TClientDataSet;
    TMSFNCDataGridDatabaseAdapter1: TTMSFNCDataGridDatabaseAdapter;
    DataSource1: TDataSource;
    ClientDataSet1VendorNo: TFloatField;
    ClientDataSet1VendorName: TStringField;
    ClientDataSet1Address1: TStringField;
    ClientDataSet1Address2: TStringField;
    ClientDataSet1City: TStringField;
    ClientDataSet1State: TStringField;
    ClientDataSet1Zip: TStringField;
    ClientDataSet1Country: TStringField;
    ClientDataSet1Phone: TStringField;
    ClientDataSet1FAX: TStringField;
    ClientDataSet1Preferred: TBooleanField;
    TMSFNCBitmapContainer1: TTMSFNCBitmapContainer;
    procedure TMSFNCDataGrid1GetCellProperties(Sender: TObject;
      ACell: TTMSFNCDataGridCell);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.fmx}

procedure TForm3.TMSFNCDataGrid1GetCellProperties(Sender: TObject;
  ACell: TTMSFNCDataGridCell);
begin
  if ACell.IsBitmapCell and TMSFNCDataGridDatabaseAdapter1.IsValidDataCell(ACell.Coordinate) then
  begin
    if TMSFNCDataGrid1.Booleans[ACell.Column, ACell.Row] then
      ACell.AsBitmapCell.BitmapName := TMSFNCBitmapContainer1.BitmapNames[0]
    else
      ACell.AsBitmapCell.BitmapName := TMSFNCBitmapContainer1.BitmapNames[1];
  end;
end;

end.
